
import java.awt.Color;
import java.awt.Font;
import java.awt.Frame;
import java.awt.Panel;
import java.awt.TextArea;

import java.awt.Button;
/**
 * PDPSniff - License.java
 * 
 * Jos Carlos Perea Barreiro (jperea[at]it.uc3m.es) Created
 * on 23-may-2005
 *  
 */

/**
 * @author Jose Carlos
 * 
 * TODO To change the template for this generated type
 * comment go to Window - Preferences - Java - Code Style -
 * Code Templates
 */
public class License extends Panel
{

    private PDPClient   p = null;
	private TextArea	textArea	= null;

	private Button button = null;
	private Button button1 = null;
	/**
	 * This method initializes textArea
	 * 
	 * @return java.awt.TextArea
	 */
	private TextArea getTextArea ( )
	{
		if ( textArea == null )
		{
			textArea = new TextArea ( "", 10, 10, TextArea.SCROLLBARS_NONE );
			textArea.setBounds (5, 5, 230, 240);
            textArea.setBackground ( Color.white );
			textArea.setEditable ( false );
			textArea.setEnabled ( true );
			textArea.setFont ( new Font ( "", Font.PLAIN, 10 ) );
            textArea.setText(
                "PPD DEMO Client v1.1\n" +
                "Copyright (c) 2005\n\n"+
                "Pervasive Discovery Protocol (c) DEMO Client and the Pervasive Discovery Protocol (c) reference implementation come with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it under LGPL conditions. See http://creativecommons.org/licenses/LGPL/2.1/ for details.\n\n" +
                "  Contact:\n" +
                "     Universidad Carlos III de Madrid\n" +
                "     http://www.it.uc3m.es/\n" +
                "     Jose Carlos Perea - jperea@it.uc3m.es\n" +
                "     Celeste Campo     - celeste@it.uc3m.es\n");
		}
		return textArea;
	}

	/**
	 * This method initializes button	
	 * 	
	 * @return java.awt.Button	
	 */    
	private Button getButton() {
		if (button == null) {
			button = new Button();
			button.setBounds(30, 250, 80, 15);
			button.setLabel("Accept");
			button.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {    
					p.swap ( PDPClient.LICENSE );
				}
			});
		}
		return button;
	}
	/**
	 * This method initializes button1	
	 * 	
	 * @return java.awt.Button	
	 */    
	private Button getButton1() {
		if (button1 == null) {
			button1 = new Button();
			button1.setBounds(120, 250, 80, 15);
			button1.setLabel("EXIT");
			button1.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {    
					p.close ( );
				}
			});
		}
		return button1;
	}
  	public static void main ( String [] args )
	{
        Frame f = new Frame ( );
        f.setSize ( 245, 300 );
        f.add ( new License ( null ) );
        f.setVisible ( true );
	}

	/**
	 * This is the default constructor
	 */
	public License ( PDPClient p )
	{
		super ( );
        this.p = p;
		initialize ( );
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize ( )
	{
		this.setLayout ( null );
		this.setBounds ( 0, 0, 240, 270 );
        this.setFont ( new Font ( "", Font.PLAIN, 10 ) );
		this.add ( getTextArea ( ), null );
		this.add(getButton(), null);
		this.add(getButton1(), null);
	}
}  //  @jve:decl-index=0:visual-constraint="185,53"
