public class NetworkSniffer extends Thread
{
    boolean loop = true;
    SearchServices padre = null;
    Object snifferlock = null;
    boolean active = false;
    
    NetworkSniffer ( SearchServices padre )
    {
        this.padre = padre;
        this.snifferlock = padre.p.pdp.getNetworkLock();
        this.start ( );
    }
    
    public void stopSniffer  ( )
    {
        loop = false;
    }
    
    public void run ( )
    {
        while ( loop )
        {
            synchronized ( snifferlock )
            {
                boolean nactive = padre.p.pdp.isConnected();
                
                if ( nactive && !active )
                {
                     padre.connected ( );
                }
                else if ( !nactive && active )
                {
                    padre.disconnected ( );
                }
                this.active = nactive;

                try
                {
                    snifferlock.wait ( );
                }
                catch ( Exception e )
                {
                    continue;
                }
            }
        }
    }
}
